﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class SwitchDemoPage : ContentPage
    {
        Label label;
        Switch switcher;

        public SwitchDemoPage()
        {
            Label header = new Label
            {
                Text = "Switch",
				FontSize = 50,
				FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };

             switcher = new Switch
            {
                HorizontalOptions = LayoutOptions.Center,
                VerticalOptions = LayoutOptions.CenterAndExpand,
                
            };
            switcher.Toggled += switcher_Toggled;

            label = new Label
            {
                Text = "Switch is now False",
				FontSize = Device.GetNamedSize(NamedSize.Large, typeof(Label)),
                HorizontalOptions = LayoutOptions.Center,
                VerticalOptions = LayoutOptions.CenterAndExpand
            };

            // Build the page.
            this.Content = new StackLayout
            {
                Children = 
                {
                    header,
                    switcher,
                    label
                }
            };
        }

        void switcher_Toggled(object sender, ToggledEventArgs e)
        {
            if (switcher.IsToggled)
                label.Text = "An";
            else label.Text = "Aus";
        }
    }
}
