﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class ImageDemoPage : ContentPage
    {
        public ImageDemoPage()
        {
            Label header = new Label
            {
                Text = "Image",
                FontSize = 50,
                FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };

            Image image = new Image
            {
                // Some differences with loading images in initial release.
                //Source =  ImageSource.FromUri(new Uri("http://www.joergbayerlein.de/wp-content/uploads/2015/05/joerg.jpg")) ,
                Source= ImageSource.FromResource("FormsGalleryBay.regcSharp.jpg"),
                
                VerticalOptions = LayoutOptions.CenterAndExpand
            };

            // Build the page.
            this.Content = new StackLayout
            {
                Children =
                {
                    header,
                    image
                }
            };
        }
    }
}
